rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
lib/manifest.h File Reference

Routines to expand a manifest containing glob expressions into an argv list. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

char * | rpmPermsString (int mode)
| Return ls(1)-like formatted mode string.
rpmRC | rpmReadPackageManifest (FD_t fd, int *argcPtr, const char ***argvPtr)
| Read manifest, glob items, and append to existing args.

## Detailed Description

Routines to expand a manifest containing glob expressions into an argv list.

Definition in file manifest.h.

## Function Documentation

char* rpmPermsString | ( | int | mode | ) |

Return ls(1)-like formatted mode string.

Parameters:

  mode | file mode

Returns:
  (malloc'd) formatted mode string

Definition at line 15 of file manifest.c.

References S_ISLNK, S_ISSOCK, and xstrdup().

Referenced by permsFormat(), and printFileInfo().

rpmRC rpmReadPackageManifest | ( | FD_t | fd,
|  | int * | argcPtr,
|  | const char *** | argvPtr
| ) |  |

Read manifest, glob items, and append to existing args.

Parameters:

  fd | manifest file handle

Return values:

  argcPtr | no. of args
  argvPtr | args themselves

Returns:
  RPMRC_OK on success

Todo:
  Infinite loops through manifest files exist, operator error for now.

Definition at line 63 of file manifest.c.

References _, _free(), D_, DOCTYPE_HTML_PUBLIC, fdGetFp(), fdGetOPath(), Fdopen(), Ferror(), Fstrerror(), rpmGlob(), rpmiobAppend(), rpmiobFree(), rpmiobNew(), rpmiobStr(), rpmlog(), RPMLOG_DEBUG, RPMLOG_ERR, RPMRC_FAIL, RPMRC_NOTFOUND, RPMRC_OK, and xcalloc().

Referenced by rpmgiLoadManifest().